#region << Using Directives >>
using System;
#endregion
namespace Volpe.Cafe.Generic
{
    [Serializable]
    public class RCObject<T> : RCValue<T>, ICloneable where T : ICloneable
    {
        #region 
        public RCObject() : base() { }
        public RCObject(T passengerCar, T lightTruck, T lightTruck2b3) : base(passengerCar, lightTruck, lightTruck2b3) { }
        #endregion
        #region 
        #region 
        object ICloneable.Clone()
        {
            return this.Clone();
        }
        public new RCObject<T> Clone()
        {
            RCObject<T> value = new RCObject<T>();
            this.CopyTo(value);
            return value;
        }
        protected void CopyTo(RCObject<T> value)
        {
            for (int i = 0; i < this.Items.Length; i++)
            {
                value.Items[i] = (T)this.Items[i].Clone();
            }
        }
        #endregion
        #endregion
    }
}

